<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: menu  YAHOO.widget.MenuManager   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Menu&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_menu.html">menu</a>
                 &gt; YAHOO.widget.MenuManager 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        <code>static</code>
                        
                            Class <b>YAHOO.widget.MenuManager</b>
                        <span class="extends">
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        Singleton that manages a collection of all menus and menu items.  Listens for 
DOM events at the document level and dispatches the events to the 
corresponding menu or menu item.
                    </div>




                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="addItem">addItem</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>addItem</strong>
                                           (
                                                
                                                        
                                                         p_oItem
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Adds an item to the collection of known menu items.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oItem &lt;YAHOO.widget.MenuItem&gt;</code>
                                                             Object specifying the MenuItem 
instance to be added.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="addMenu">addMenu</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>addMenu</strong>
                                           (
                                                
                                                        
                                                         p_oMenu
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Adds a menu to the collection of known menus.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oMenu &lt;YAHOO.widget.Menu&gt;</code>
                                                             Object specifying the Menu  
instance to be added.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="getMenu">getMenu</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        YAHOO.widget.Menu
                                            <strong>getMenu</strong>
                                           (
                                                
                                                        
                                                         p_sId
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a menu with the specified id.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_sId &lt;String&gt;</code>
                                                             String specifying the id of the menu to
be retrieved.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        YAHOO.widget.Menu
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="getMenuRootElement">getMenuRootElement</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>getMenuRootElement</strong>
                                           (
                                                
                                                        
                                                         p_oElement
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Finds the root DIV node of a menu or the root LI node of a 
menu item.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oElement &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
one-html.html#ID-58190037">HTMLElement</a>&gt;</code>
                                                             Object specifying 
an HTML element.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="getMenus">getMenus</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Array
                                            <strong>getMenus</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns an array of all menus registered with the 
menu manger.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Array
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="hideVisible">hideVisible</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>hideVisible</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Hides all visible, dynamically positioned menus.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="onDOMEvent">onDOMEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>onDOMEvent</strong>
                                           (
                                                
                                                        
                                                         p_oEvent
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Generic, global event handler for all of a menu's DOM-based 
events.  This listens for events against the document object.  If the 
target of a given event is a member of a menu or menu item's DOM, the 
instance's corresponding Custom Event is fired.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oEvent &lt;Event&gt;</code>
                                                             Object representing the DOM event object passed 
back by the event utility (YAHOO.util.Event).
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="onItemAdded">onItemAdded</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>onItemAdded</strong>
                                           (
                                                
                                                        
                                                         p_sType
                                                    
                                                
                                                        , 
                                                         p_aArgs
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            "itemadded" event handler for a Menu instance.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_sType &lt;String&gt;</code>
                                                             String representing the name of the event that 
was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_aArgs &lt;Array&gt;</code>
                                                             Array of arguments sent when the event was fired.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="onItemDestroy">onItemDestroy</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>onItemDestroy</strong>
                                           (
                                                
                                                        
                                                         p_sType
                                                    
                                                
                                                        , 
                                                         p_aArgs
                                                    
                                                
                                                        , 
                                                         p_oItem
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            "destroy" event handler for a MenuItem instance.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_sType &lt;String&gt;</code>
                                                             String representing the name of the event that 
was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_aArgs &lt;Array&gt;</code>
                                                             Array of arguments sent when the event was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oItem &lt;YAHOO.widget.MenuItem&gt;</code>
                                                             Object representing the menu item 
that fired the event.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="onItemRemoved">onItemRemoved</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>onItemRemoved</strong>
                                           (
                                                
                                                        
                                                         p_sType
                                                    
                                                
                                                        , 
                                                         p_aArgs
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            "itemremoved" event handler for a Menu instance.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_sType &lt;String&gt;</code>
                                                             String representing the name of the event that 
was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_aArgs &lt;Array&gt;</code>
                                                             Array of arguments sent when the event was fired.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="onMenuDestroy">onMenuDestroy</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>onMenuDestroy</strong>
                                           (
                                                
                                                        
                                                         p_sType
                                                    
                                                
                                                        , 
                                                         p_aArgs
                                                    
                                                
                                                        , 
                                                         p_oMenu
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            "destroy" event handler for a menu.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_sType &lt;String&gt;</code>
                                                             String representing the name of the event that 
was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_aArgs &lt;Array&gt;</code>
                                                             Array of arguments sent when the event was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oMenu &lt;YAHOO.widget.Menu&gt;</code>
                                                             Object representing the menu that 
fired the event.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="onMenuVisibleConfigChange">onMenuVisibleConfigChange</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>onMenuVisibleConfigChange</strong>
                                           (
                                                
                                                        
                                                         p_sType
                                                    
                                                
                                                        , 
                                                         p_aArgs
                                                    
                                                
                                                        , 
                                                         p_oMenu
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Event handler for when the "visible" configuration property 
of a Menu instance changes.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_sType &lt;String&gt;</code>
                                                             String representing the name of the event that 
was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_aArgs &lt;Array&gt;</code>
                                                             Array of arguments sent when the event was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oMenu &lt;YAHOO.widget.Menu&gt;</code>
                                                             Object representing the menu that 
fired the event.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="removeItem">removeItem</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>removeItem</strong>
                                           (
                                                
                                                        
                                                         p_oItem
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Removes an item from the collection of known menu items.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oItem &lt;YAHOO.widget.MenuItem&gt;</code>
                                                             Object specifying the MenuItem 
instance to be removed.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="removeMenu">removeMenu</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>removeMenu</strong>
                                           (
                                                
                                                        
                                                         p_oMenu
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Removes a menu from the collection of known menus.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oMenu &lt;YAHOO.widget.Menu&gt;</code>
                                                             Object specifying the Menu  
instance to be removed.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="toString">toString</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        String
                                            <strong>toString</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a string representing the menu manager.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        String
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>







			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class="selected"><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.widget.ContextMenu.html">YAHOO.widget.ContextMenu</a></li>
                                <li class=""><a href="YAHOO.widget.ContextMenuItem.html">YAHOO.widget.ContextMenuItem</a></li>
                                <li class=""><a href="YAHOO.widget.Menu.html">YAHOO.widget.Menu</a></li>
                                <li class=""><a href="YAHOO.widget.Menubar.html">YAHOO.widget.Menubar</a></li>
                                <li class=""><a href="YAHOO.widget.MenuBarItem.html">YAHOO.widget.MenuBarItem</a></li>
                                <li class=""><a href="YAHOO.widget.MenuItem.html">YAHOO.widget.MenuItem</a></li>
                                <li class="selected"><a href="YAHOO.widget.MenuManager.html">YAHOO.widget.MenuManager</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="contextmenu.js.html">contextmenu.js</a></li>
                                <li class=""><a href="contextmenuitem.js.html">contextmenuitem.js</a></li>
                                <li class=""><a href="menu.js.html">menu.js</a></li>
                                <li class=""><a href="menubar.js.html">menubar.js</a></li>
                                <li class=""><a href="menubaritem.js.html">menubaritem.js</a></li>
                                <li class=""><a href="menuitem.js.html">menuitem.js</a></li>
                                <li class=""><a href="menumanager.js.html">menumanager.js</a></li>
                        </ul>
                    </div>


                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>void</code>-->
                                <a href="#addItem">addItem</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#addMenu">addMenu</a>
                                </li>
                                <li><!--<code>YAHOO.widget.Menu</code>-->
                                <a href="#getMenu">getMenu</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#getMenuRootElement">getMenuRootElement</a>
                                </li>
                                <li><!--<code>Array</code>-->
                                <a href="#getMenus">getMenus</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#hideVisible">hideVisible</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#onDOMEvent">onDOMEvent</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#onItemAdded">onItemAdded</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#onItemDestroy">onItemDestroy</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#onItemRemoved">onItemRemoved</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#onMenuDestroy">onMenuDestroy</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#onMenuVisibleConfigChange">onMenuVisibleConfigChange</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#removeItem">removeItem</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#removeMenu">removeMenu</a>
                                </li>
                                <li><!--<code>String</code>-->
                                <a href="#toString">toString</a>
                                </li>
                        </ul>
                    </div>



            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
